Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Adding a test on priorities
[simgrid.git] / examples / msg / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 VPATH = @srcdir@
23 pkgdatadir = $(datadir)/@PACKAGE@
24 pkglibdir = $(libdir)/@PACKAGE@
25 pkgincludedir = $(includedir)/@PACKAGE@
26 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
27 install_sh_DATA = $(install_sh) -c -m 644
28 install_sh_PROGRAM = $(install_sh) -c
29 install_sh_SCRIPT = $(install_sh) -c
30 INSTALL_HEADER = $(INSTALL_DATA)
31 transform = $(program_transform_name)
32 NORMAL_INSTALL = :
33 PRE_INSTALL = :
34 POST_INSTALL = :
35 NORMAL_UNINSTALL = :
36 PRE_UNINSTALL = :
37 POST_UNINSTALL = :
38 build_triplet = @build@
39 host_triplet = @host@
40 target_triplet = @target@
41 @HAVE_GTNETS_TRUE@am__append_1 = gtnets/gtnets 
42 bin_PROGRAMS = sendrecv/sendrecv$(EXEEXT) suspend/suspend$(EXEEXT) \
43         masterslave/masterslave$(EXEEXT) \
44         masterslave/masterslave_forwarder$(EXEEXT) \
45         masterslave/masterslave_failure$(EXEEXT) \
46         masterslave/masterslave_bypass$(EXEEXT) \
47         parallel_task/parallel_task$(EXEEXT) \
48         priority/priority$(EXEEXT) $(am__EXEEXT_1)
49 @HAVE_GTNETS_TRUE@am__append_2 = gtnets/gtnets 
50 @HAVE_GTNETS_FALSE@am__append_3 = gtnets/gtnets.c
51 DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
52         $(top_srcdir)/acmacro/dist-files.mk
53 subdir = examples/msg
54 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
55 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
56         $(top_srcdir)/acmacro/compiler-flags.m4 \
57         $(top_srcdir)/acmacro/context.m4 \
58         $(top_srcdir)/acmacro/fancy_configury.m4 \
59         $(top_srcdir)/acmacro/flex.m4 \
60         $(top_srcdir)/acmacro/gras_arch.m4 \
61         $(top_srcdir)/acmacro/print_null.m4 \
62         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
63 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
64         $(ACLOCAL_M4)
65 mkinstalldirs = $(install_sh) -d
66 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
67 CONFIG_CLEAN_FILES =
68 @HAVE_GTNETS_TRUE@am__EXEEXT_1 = gtnets/gtnets$(EXEEXT)
69 am__installdirs = "$(DESTDIR)$(bindir)"
70 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
71 PROGRAMS = $(bin_PROGRAMS)
72 am__gtnets_gtnets_SOURCES_DIST = gtnets/gtnets.c
73 @HAVE_GTNETS_TRUE@am_gtnets_gtnets_OBJECTS = gtnets.$(OBJEXT)
74 gtnets_gtnets_OBJECTS = $(am_gtnets_gtnets_OBJECTS)
75 @HAVE_GTNETS_TRUE@gtnets_gtnets_DEPENDENCIES =  \
76 @HAVE_GTNETS_TRUE@      $(top_builddir)/src/libsimgrid.la
77 am__dirstamp = $(am__leading_dot)dirstamp
78 am_masterslave_masterslave_OBJECTS = masterslave.$(OBJEXT)
79 masterslave_masterslave_OBJECTS =  \
80         $(am_masterslave_masterslave_OBJECTS)
81 masterslave_masterslave_DEPENDENCIES =  \
82         $(top_builddir)/src/libsimgrid.la
83 am_masterslave_masterslave_bypass_OBJECTS =  \
84         masterslave_bypass.$(OBJEXT)
85 masterslave_masterslave_bypass_OBJECTS =  \
86         $(am_masterslave_masterslave_bypass_OBJECTS)
87 masterslave_masterslave_bypass_DEPENDENCIES =  \
88         $(top_builddir)/src/libsimgrid.la
89 am_masterslave_masterslave_failure_OBJECTS =  \
90         masterslave_failure.$(OBJEXT)
91 masterslave_masterslave_failure_OBJECTS =  \
92         $(am_masterslave_masterslave_failure_OBJECTS)
93 masterslave_masterslave_failure_DEPENDENCIES =  \
94         $(top_builddir)/src/libsimgrid.la
95 am_masterslave_masterslave_forwarder_OBJECTS =  \
96         masterslave_forwarder.$(OBJEXT)
97 masterslave_masterslave_forwarder_OBJECTS =  \
98         $(am_masterslave_masterslave_forwarder_OBJECTS)
99 masterslave_masterslave_forwarder_DEPENDENCIES =  \
100         $(top_builddir)/src/libsimgrid.la
101 am_parallel_task_parallel_task_OBJECTS = parallel_task.$(OBJEXT)
102 parallel_task_parallel_task_OBJECTS =  \
103         $(am_parallel_task_parallel_task_OBJECTS)
104 parallel_task_parallel_task_DEPENDENCIES =  \
105         $(top_builddir)/src/libsimgrid.la
106 am_priority_priority_OBJECTS = priority.$(OBJEXT)
107 priority_priority_OBJECTS = $(am_priority_priority_OBJECTS)
108 priority_priority_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
109 am_sendrecv_sendrecv_OBJECTS = sendrecv.$(OBJEXT)
110 sendrecv_sendrecv_OBJECTS = $(am_sendrecv_sendrecv_OBJECTS)
111 sendrecv_sendrecv_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
112 am_suspend_suspend_OBJECTS = suspend.$(OBJEXT)
113 suspend_suspend_OBJECTS = $(am_suspend_suspend_OBJECTS)
114 suspend_suspend_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
115 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
116 depcomp = $(SHELL) $(top_srcdir)/depcomp
117 am__depfiles_maybe = depfiles
118 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
119         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
120 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
121         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
122         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
123 CCLD = $(CC)
124 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
125         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
126         $(LDFLAGS) -o $@
127 SOURCES = $(gtnets_gtnets_SOURCES) $(masterslave_masterslave_SOURCES) \
128         $(masterslave_masterslave_bypass_SOURCES) \
129         $(masterslave_masterslave_failure_SOURCES) \
130         $(masterslave_masterslave_forwarder_SOURCES) \
131         $(parallel_task_parallel_task_SOURCES) \
132         $(priority_priority_SOURCES) $(sendrecv_sendrecv_SOURCES) \
133         $(suspend_suspend_SOURCES)
134 DIST_SOURCES = $(am__gtnets_gtnets_SOURCES_DIST) \
135         $(masterslave_masterslave_SOURCES) \
136         $(masterslave_masterslave_bypass_SOURCES) \
137         $(masterslave_masterslave_failure_SOURCES) \
138         $(masterslave_masterslave_forwarder_SOURCES) \
139         $(parallel_task_parallel_task_SOURCES) \
140         $(priority_priority_SOURCES) $(sendrecv_sendrecv_SOURCES) \
141         $(suspend_suspend_SOURCES)
142 ETAGS = etags
143 CTAGS = ctags
144 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
145 ACLOCAL = @ACLOCAL@
146 ADDR2LINE = @ADDR2LINE@
147 AMTAR = @AMTAR@
148 AM_CPPFLAGS = @AM_CPPFLAGS@
149 AR = @AR@
150 AS = @AS@
151 AUTOCONF = @AUTOCONF@
152 AUTOHEADER = @AUTOHEADER@
153 AUTOMAKE = @AUTOMAKE@
154 AWK = @AWK@
155 BASH = @BASH@
156 CC = @CC@
157 CCDEPMODE = @CCDEPMODE@
158 CFLAGS = @CFLAGS@
159 CPP = @CPP@
160 CPPFLAGS = @CPPFLAGS@
161 CXX = @CXX@
162 CXXCPP = @CXXCPP@
163 CXXDEPMODE = @CXXDEPMODE@
164 CXXFLAGS = @CXXFLAGS@
165 CYGPATH_W = @CYGPATH_W@
166 DEFS = @DEFS@
167 DEPDIR = @DEPDIR@
168 DLLTOOL = @DLLTOOL@
169 DOXYGEN = @DOXYGEN@
170 ECHO = @ECHO@
171 ECHO_C = @ECHO_C@
172 ECHO_N = @ECHO_N@
173 ECHO_T = @ECHO_T@
174 EGREP = @EGREP@
175 EXEEXT = @EXEEXT@
176 FLEXML = @FLEXML@
177 GCJ = @GCJ@
178 GCJDEPMODE = @GCJDEPMODE@
179 GCJFLAGS = @GCJFLAGS@
180 GRAS_DEP = @GRAS_DEP@
181 GREP = @GREP@
182 INSTALL = @INSTALL@
183 INSTALL_DATA = @INSTALL_DATA@
184 INSTALL_PROGRAM = @INSTALL_PROGRAM@
185 INSTALL_SCRIPT = @INSTALL_SCRIPT@
186 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
187 JAR = @JAR@
188 JAVA = @JAVA@
189 JAVAC = @JAVAC@
190 LDFLAGS = @LDFLAGS@
191 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
192 LEX = @LEX@
193 LEXLIB = @LEXLIB@
194 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
195 LIBOBJS = @LIBOBJS@
196 LIBS = @LIBS@
197 LIBTOOL = @LIBTOOL@
198 LN_S = @LN_S@
199 LTLIBOBJS = @LTLIBOBJS@
200 MAINT = @MAINT@
201 MAKEINFO = @MAKEINFO@
202 MD5SUM = @MD5SUM@
203 MKDIR_P = @MKDIR_P@
204 OBJDUMP = @OBJDUMP@
205 OBJEXT = @OBJEXT@
206 PACKAGE = @PACKAGE@
207 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
208 PACKAGE_NAME = @PACKAGE_NAME@
209 PACKAGE_STRING = @PACKAGE_STRING@
210 PACKAGE_TARNAME = @PACKAGE_TARNAME@
211 PACKAGE_VERSION = @PACKAGE_VERSION@
212 PATH_SEPARATOR = @PATH_SEPARATOR@
213 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
214 RANLIB = @RANLIB@
215 SET_MAKE = @SET_MAKE@
216 SHELL = @SHELL@
217 SIMGRID_DEP = @SIMGRID_DEP@
218 SMPI_DEP = @SMPI_DEP@
219 STRIP = @STRIP@
220 VERSION = @VERSION@
221 WARNING = @WARNING@
222 abs_builddir = @abs_builddir@
223 abs_srcdir = @abs_srcdir@
224 abs_top_builddir = @abs_top_builddir@
225 abs_top_srcdir = @abs_top_srcdir@
226 ac_configure_args = @ac_configure_args@
227 ac_ct_CC = @ac_ct_CC@
228 ac_ct_CXX = @ac_ct_CXX@
229 am__include = @am__include@
230 am__leading_dot = @am__leading_dot@
231 am__quote = @am__quote@
232 am__tar = @am__tar@
233 am__untar = @am__untar@
234 bindir = @bindir@
235 build = @build@
236 build_alias = @build_alias@
237 build_cpu = @build_cpu@
238 build_id = @build_id@
239 build_os = @build_os@
240 build_vendor = @build_vendor@
241 builddir = @builddir@
242 datadir = @datadir@
243 datarootdir = @datarootdir@
244 docdir = @docdir@
245 dvidir = @dvidir@
246 exec_prefix = @exec_prefix@
247 host = @host@
248 host_alias = @host_alias@
249 host_cpu = @host_cpu@
250 host_os = @host_os@
251 host_vendor = @host_vendor@
252 htmldir = @htmldir@
253 includedir = @includedir@
254 infodir = @infodir@
255 install_sh = @install_sh@
256 libdir = @libdir@
257 libexecdir = @libexecdir@
258 localedir = @localedir@
259 localstatedir = @localstatedir@
260 mandir = @mandir@
261 mkdir_p = @mkdir_p@
262 oldincludedir = @oldincludedir@
263 pdfdir = @pdfdir@
264 prefix = @prefix@
265 program_transform_name = @program_transform_name@
266 psdir = @psdir@
267 pth_skaddr_makecontext = @pth_skaddr_makecontext@
268 pth_sksize_makecontext = @pth_sksize_makecontext@
269 sbindir = @sbindir@
270 sharedstatedir = @sharedstatedir@
271 srcdir = @srcdir@
272 sysconfdir = @sysconfdir@
273 target = @target@
274 target_alias = @target_alias@
275 target_cpu = @target_cpu@
276 target_os = @target_os@
277 target_vendor = @target_vendor@
278 top_builddir = @top_builddir@
279 top_srcdir = @top_srcdir@
280 INCLUDES = -I$(top_srcdir)/include
281 AM_CFLAGS = -g
282 EXTRA_DIST = msg_platform.xml small_platform.xml \
283         sendrecv/platform_sendrecv.xml \
284         sendrecv/deployment_sendrecv.xml \
285         suspend/deployment_suspend.xml \
286         masterslave/deployment_masterslave_forwarder.xml \
287         masterslave/deployment_masterslave.xml \
288         gtnets/r-n200-f50-s4-2-d.xml gtnets/onelink-p.xml \
289         gtnets/onelink-d.xml gtnets/r-n200-f50-s4-2-p.xml \
290         gtnets/dogbone-d.xml gtnets/dogbone-p.xml $(am__append_3)
291 TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
292 TESTS = sendrecv/sendrecv_KCCFLN05.tesh \
293         sendrecv/sendrecv_Vegas.tesh \
294         sendrecv/sendrecv_Reno.tesh \
295         suspend/suspend.tesh \
296         masterslave/masterslave.tesh \
297         masterslave/masterslave_forwarder.tesh \
298         masterslave/masterslave_bypass.tesh \
299         parallel_task/parallel_task.tesh \
300         priority/priority.tesh
301
302 @HAVE_SDP_TRUE@BROKEN_TESTS = sendrecv/sendrecv_SDP.tesh
303 CLEANFILES = sendrecv/*~ sendrecv/sendrecv suspend/*~ suspend/suspend \
304         masterslave/*~ masterslave/masterslave \
305         masterslave/masterslave_forwarder \
306         masterslave/masterslave_bypass parallel_task/parallel_task \
307         priority/priority $(am__append_1)
308
309 # sendrecv simple example
310 sendrecv_sendrecv_SOURCES = sendrecv/sendrecv.c
311 sendrecv_sendrecv_LDADD = $(top_builddir)/src/libsimgrid.la
312
313 # suspend/resume simple example
314 suspend_suspend_SOURCES = suspend/suspend.c
315 suspend_suspend_LDADD = $(top_builddir)/src/libsimgrid.la
316
317 # parallel task example
318 parallel_task_parallel_task_SOURCES = parallel_task/parallel_task.c
319 parallel_task_parallel_task_LDADD = $(top_builddir)/src/libsimgrid.la
320
321 # playing with priorities example
322 priority_priority_SOURCES = priority/priority.c
323 priority_priority_LDADD = $(top_builddir)/src/libsimgrid.la
324
325 # master/slave application example
326 masterslave_masterslave_SOURCES = masterslave/masterslave.c
327 masterslave_masterslave_LDADD = $(top_builddir)/src/libsimgrid.la
328
329 # master/slave application example using a forwarder module
330 masterslave_masterslave_forwarder_SOURCES = masterslave/masterslave_forwarder.c
331 masterslave_masterslave_forwarder_LDADD = $(top_builddir)/src/libsimgrid.la
332
333 # master/slave application example with failures
334 masterslave_masterslave_failure_SOURCES = masterslave/masterslave_failure.c
335 masterslave_masterslave_failure_LDADD = $(top_builddir)/src/libsimgrid.la
336
337 # bypass the surf xml parser
338 masterslave_masterslave_bypass_SOURCES = masterslave/masterslave_bypass.c
339 masterslave_masterslave_bypass_LDADD = $(top_builddir)/src/libsimgrid.la
340
341 # verify if the GTNETS feature is working
342 @HAVE_GTNETS_TRUE@gtnets_gtnets_SOURCES = gtnets/gtnets.c
343 @HAVE_GTNETS_TRUE@gtnets_gtnets_LDADD = $(top_builddir)/src/libsimgrid.la
344 all: all-am
345
346 .SUFFIXES:
347 .SUFFIXES: .c .lo .o .obj
348 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
349         @for dep in $?; do \
350           case '$(am__configure_deps)' in \
351             *$$dep*) \
352               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
353                 && exit 0; \
354               exit 1;; \
355           esac; \
356         done; \
357         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/msg/Makefile'; \
358         cd $(top_srcdir) && \
359           $(AUTOMAKE) --gnu  examples/msg/Makefile
360 .PRECIOUS: Makefile
361 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
362         @case '$?' in \
363           *config.status*) \
364             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
365           *) \
366             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
367             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
368         esac;
369
370 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
371         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
372
373 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
374         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
375 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
376         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
377 install-binPROGRAMS: $(bin_PROGRAMS)
378         @$(NORMAL_INSTALL)
379         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
380         @list='$(bin_PROGRAMS)'; for p in $$list; do \
381           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
382           if test -f $$p \
383              || test -f $$p1 \
384           ; then \
385             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
386            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
387            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
388           else :; fi; \
389         done
390
391 uninstall-binPROGRAMS:
392         @$(NORMAL_UNINSTALL)
393         @list='$(bin_PROGRAMS)'; for p in $$list; do \
394           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
395           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
396           rm -f "$(DESTDIR)$(bindir)/$$f"; \
397         done
398
399 clean-binPROGRAMS:
400         @list='$(bin_PROGRAMS)'; for p in $$list; do \
401           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
402           echo " rm -f $$p $$f"; \
403           rm -f $$p $$f ; \
404         done
405 gtnets/$(am__dirstamp):
406         @$(MKDIR_P) gtnets
407         @: > gtnets/$(am__dirstamp)
408 gtnets/gtnets$(EXEEXT): $(gtnets_gtnets_OBJECTS) $(gtnets_gtnets_DEPENDENCIES) gtnets/$(am__dirstamp)
409         @rm -f gtnets/gtnets$(EXEEXT)
410         $(LINK) $(gtnets_gtnets_OBJECTS) $(gtnets_gtnets_LDADD) $(LIBS)
411 masterslave/$(am__dirstamp):
412         @$(MKDIR_P) masterslave
413         @: > masterslave/$(am__dirstamp)
414 masterslave/masterslave$(EXEEXT): $(masterslave_masterslave_OBJECTS) $(masterslave_masterslave_DEPENDENCIES) masterslave/$(am__dirstamp)
415         @rm -f masterslave/masterslave$(EXEEXT)
416         $(LINK) $(masterslave_masterslave_OBJECTS) $(masterslave_masterslave_LDADD) $(LIBS)
417 masterslave/masterslave_bypass$(EXEEXT): $(masterslave_masterslave_bypass_OBJECTS) $(masterslave_masterslave_bypass_DEPENDENCIES) masterslave/$(am__dirstamp)
418         @rm -f masterslave/masterslave_bypass$(EXEEXT)
419         $(LINK) $(masterslave_masterslave_bypass_OBJECTS) $(masterslave_masterslave_bypass_LDADD) $(LIBS)
420 masterslave/masterslave_failure$(EXEEXT): $(masterslave_masterslave_failure_OBJECTS) $(masterslave_masterslave_failure_DEPENDENCIES) masterslave/$(am__dirstamp)
421         @rm -f masterslave/masterslave_failure$(EXEEXT)
422         $(LINK) $(masterslave_masterslave_failure_OBJECTS) $(masterslave_masterslave_failure_LDADD) $(LIBS)
423 masterslave/masterslave_forwarder$(EXEEXT): $(masterslave_masterslave_forwarder_OBJECTS) $(masterslave_masterslave_forwarder_DEPENDENCIES) masterslave/$(am__dirstamp)
424         @rm -f masterslave/masterslave_forwarder$(EXEEXT)
425         $(LINK) $(masterslave_masterslave_forwarder_OBJECTS) $(masterslave_masterslave_forwarder_LDADD) $(LIBS)
426 parallel_task/$(am__dirstamp):
427         @$(MKDIR_P) parallel_task
428         @: > parallel_task/$(am__dirstamp)
429 parallel_task/parallel_task$(EXEEXT): $(parallel_task_parallel_task_OBJECTS) $(parallel_task_parallel_task_DEPENDENCIES) parallel_task/$(am__dirstamp)
430         @rm -f parallel_task/parallel_task$(EXEEXT)
431         $(LINK) $(parallel_task_parallel_task_OBJECTS) $(parallel_task_parallel_task_LDADD) $(LIBS)
432 priority/$(am__dirstamp):
433         @$(MKDIR_P) priority
434         @: > priority/$(am__dirstamp)
435 priority/priority$(EXEEXT): $(priority_priority_OBJECTS) $(priority_priority_DEPENDENCIES) priority/$(am__dirstamp)
436         @rm -f priority/priority$(EXEEXT)
437         $(LINK) $(priority_priority_OBJECTS) $(priority_priority_LDADD) $(LIBS)
438 sendrecv/$(am__dirstamp):
439         @$(MKDIR_P) sendrecv
440         @: > sendrecv/$(am__dirstamp)
441 sendrecv/sendrecv$(EXEEXT): $(sendrecv_sendrecv_OBJECTS) $(sendrecv_sendrecv_DEPENDENCIES) sendrecv/$(am__dirstamp)
442         @rm -f sendrecv/sendrecv$(EXEEXT)
443         $(LINK) $(sendrecv_sendrecv_OBJECTS) $(sendrecv_sendrecv_LDADD) $(LIBS)
444 suspend/$(am__dirstamp):
445         @$(MKDIR_P) suspend
446         @: > suspend/$(am__dirstamp)
447 suspend/suspend$(EXEEXT): $(suspend_suspend_OBJECTS) $(suspend_suspend_DEPENDENCIES) suspend/$(am__dirstamp)
448         @rm -f suspend/suspend$(EXEEXT)
449         $(LINK) $(suspend_suspend_OBJECTS) $(suspend_suspend_LDADD) $(LIBS)
450
451 mostlyclean-compile:
452         -rm -f *.$(OBJEXT)
453
454 distclean-compile:
455         -rm -f *.tab.c
456
457 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gtnets.Po@am__quote@
458 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/masterslave.Po@am__quote@
459 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/masterslave_bypass.Po@am__quote@
460 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/masterslave_failure.Po@am__quote@
461 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/masterslave_forwarder.Po@am__quote@
462 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parallel_task.Po@am__quote@
463 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/priority.Po@am__quote@
464 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sendrecv.Po@am__quote@
465 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/suspend.Po@am__quote@
466
467 .c.o:
468 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
469 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
470 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
471 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
472 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
473
474 .c.obj:
475 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
476 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
477 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
478 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
479 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
480
481 .c.lo:
482 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
483 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
484 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
485 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
486 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
487
488 gtnets.o: gtnets/gtnets.c
489 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gtnets.o -MD -MP -MF $(DEPDIR)/gtnets.Tpo -c -o gtnets.o `test -f 'gtnets/gtnets.c' || echo '$(srcdir)/'`gtnets/gtnets.c
490 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/gtnets.Tpo $(DEPDIR)/gtnets.Po
491 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gtnets/gtnets.c' object='gtnets.o' libtool=no @AMDEPBACKSLASH@
492 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
493 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gtnets.o `test -f 'gtnets/gtnets.c' || echo '$(srcdir)/'`gtnets/gtnets.c
494
495 gtnets.obj: gtnets/gtnets.c
496 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gtnets.obj -MD -MP -MF $(DEPDIR)/gtnets.Tpo -c -o gtnets.obj `if test -f 'gtnets/gtnets.c'; then $(CYGPATH_W) 'gtnets/gtnets.c'; else $(CYGPATH_W) '$(srcdir)/gtnets/gtnets.c'; fi`
497 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/gtnets.Tpo $(DEPDIR)/gtnets.Po
498 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gtnets/gtnets.c' object='gtnets.obj' libtool=no @AMDEPBACKSLASH@
499 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
500 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gtnets.obj `if test -f 'gtnets/gtnets.c'; then $(CYGPATH_W) 'gtnets/gtnets.c'; else $(CYGPATH_W) '$(srcdir)/gtnets/gtnets.c'; fi`
501
502 masterslave.o: masterslave/masterslave.c
503 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave.o -MD -MP -MF $(DEPDIR)/masterslave.Tpo -c -o masterslave.o `test -f 'masterslave/masterslave.c' || echo '$(srcdir)/'`masterslave/masterslave.c
504 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave.Tpo $(DEPDIR)/masterslave.Po
505 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave.c' object='masterslave.o' libtool=no @AMDEPBACKSLASH@
506 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
507 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave.o `test -f 'masterslave/masterslave.c' || echo '$(srcdir)/'`masterslave/masterslave.c
508
509 masterslave.obj: masterslave/masterslave.c
510 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave.obj -MD -MP -MF $(DEPDIR)/masterslave.Tpo -c -o masterslave.obj `if test -f 'masterslave/masterslave.c'; then $(CYGPATH_W) 'masterslave/masterslave.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave.c'; fi`
511 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave.Tpo $(DEPDIR)/masterslave.Po
512 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave.c' object='masterslave.obj' libtool=no @AMDEPBACKSLASH@
513 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
514 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave.obj `if test -f 'masterslave/masterslave.c'; then $(CYGPATH_W) 'masterslave/masterslave.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave.c'; fi`
515
516 masterslave_bypass.o: masterslave/masterslave_bypass.c
517 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave_bypass.o -MD -MP -MF $(DEPDIR)/masterslave_bypass.Tpo -c -o masterslave_bypass.o `test -f 'masterslave/masterslave_bypass.c' || echo '$(srcdir)/'`masterslave/masterslave_bypass.c
518 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave_bypass.Tpo $(DEPDIR)/masterslave_bypass.Po
519 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave_bypass.c' object='masterslave_bypass.o' libtool=no @AMDEPBACKSLASH@
520 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
521 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave_bypass.o `test -f 'masterslave/masterslave_bypass.c' || echo '$(srcdir)/'`masterslave/masterslave_bypass.c
522
523 masterslave_bypass.obj: masterslave/masterslave_bypass.c
524 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave_bypass.obj -MD -MP -MF $(DEPDIR)/masterslave_bypass.Tpo -c -o masterslave_bypass.obj `if test -f 'masterslave/masterslave_bypass.c'; then $(CYGPATH_W) 'masterslave/masterslave_bypass.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave_bypass.c'; fi`
525 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave_bypass.Tpo $(DEPDIR)/masterslave_bypass.Po
526 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave_bypass.c' object='masterslave_bypass.obj' libtool=no @AMDEPBACKSLASH@
527 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
528 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave_bypass.obj `if test -f 'masterslave/masterslave_bypass.c'; then $(CYGPATH_W) 'masterslave/masterslave_bypass.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave_bypass.c'; fi`
529
530 masterslave_failure.o: masterslave/masterslave_failure.c
531 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave_failure.o -MD -MP -MF $(DEPDIR)/masterslave_failure.Tpo -c -o masterslave_failure.o `test -f 'masterslave/masterslave_failure.c' || echo '$(srcdir)/'`masterslave/masterslave_failure.c
532 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave_failure.Tpo $(DEPDIR)/masterslave_failure.Po
533 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave_failure.c' object='masterslave_failure.o' libtool=no @AMDEPBACKSLASH@
534 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
535 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave_failure.o `test -f 'masterslave/masterslave_failure.c' || echo '$(srcdir)/'`masterslave/masterslave_failure.c
536
537 masterslave_failure.obj: masterslave/masterslave_failure.c
538 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave_failure.obj -MD -MP -MF $(DEPDIR)/masterslave_failure.Tpo -c -o masterslave_failure.obj `if test -f 'masterslave/masterslave_failure.c'; then $(CYGPATH_W) 'masterslave/masterslave_failure.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave_failure.c'; fi`
539 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave_failure.Tpo $(DEPDIR)/masterslave_failure.Po
540 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave_failure.c' object='masterslave_failure.obj' libtool=no @AMDEPBACKSLASH@
541 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
542 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave_failure.obj `if test -f 'masterslave/masterslave_failure.c'; then $(CYGPATH_W) 'masterslave/masterslave_failure.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave_failure.c'; fi`
543
544 masterslave_forwarder.o: masterslave/masterslave_forwarder.c
545 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave_forwarder.o -MD -MP -MF $(DEPDIR)/masterslave_forwarder.Tpo -c -o masterslave_forwarder.o `test -f 'masterslave/masterslave_forwarder.c' || echo '$(srcdir)/'`masterslave/masterslave_forwarder.c
546 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave_forwarder.Tpo $(DEPDIR)/masterslave_forwarder.Po
547 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave_forwarder.c' object='masterslave_forwarder.o' libtool=no @AMDEPBACKSLASH@
548 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
549 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave_forwarder.o `test -f 'masterslave/masterslave_forwarder.c' || echo '$(srcdir)/'`masterslave/masterslave_forwarder.c
550
551 masterslave_forwarder.obj: masterslave/masterslave_forwarder.c
552 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT masterslave_forwarder.obj -MD -MP -MF $(DEPDIR)/masterslave_forwarder.Tpo -c -o masterslave_forwarder.obj `if test -f 'masterslave/masterslave_forwarder.c'; then $(CYGPATH_W) 'masterslave/masterslave_forwarder.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave_forwarder.c'; fi`
553 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/masterslave_forwarder.Tpo $(DEPDIR)/masterslave_forwarder.Po
554 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='masterslave/masterslave_forwarder.c' object='masterslave_forwarder.obj' libtool=no @AMDEPBACKSLASH@
555 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
556 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o masterslave_forwarder.obj `if test -f 'masterslave/masterslave_forwarder.c'; then $(CYGPATH_W) 'masterslave/masterslave_forwarder.c'; else $(CYGPATH_W) '$(srcdir)/masterslave/masterslave_forwarder.c'; fi`
557
558 parallel_task.o: parallel_task/parallel_task.c
559 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parallel_task.o -MD -MP -MF $(DEPDIR)/parallel_task.Tpo -c -o parallel_task.o `test -f 'parallel_task/parallel_task.c' || echo '$(srcdir)/'`parallel_task/parallel_task.c
560 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/parallel_task.Tpo $(DEPDIR)/parallel_task.Po
561 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='parallel_task/parallel_task.c' object='parallel_task.o' libtool=no @AMDEPBACKSLASH@
562 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
563 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parallel_task.o `test -f 'parallel_task/parallel_task.c' || echo '$(srcdir)/'`parallel_task/parallel_task.c
564
565 parallel_task.obj: parallel_task/parallel_task.c
566 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parallel_task.obj -MD -MP -MF $(DEPDIR)/parallel_task.Tpo -c -o parallel_task.obj `if test -f 'parallel_task/parallel_task.c'; then $(CYGPATH_W) 'parallel_task/parallel_task.c'; else $(CYGPATH_W) '$(srcdir)/parallel_task/parallel_task.c'; fi`
567 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/parallel_task.Tpo $(DEPDIR)/parallel_task.Po
568 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='parallel_task/parallel_task.c' object='parallel_task.obj' libtool=no @AMDEPBACKSLASH@
569 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
570 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parallel_task.obj `if test -f 'parallel_task/parallel_task.c'; then $(CYGPATH_W) 'parallel_task/parallel_task.c'; else $(CYGPATH_W) '$(srcdir)/parallel_task/parallel_task.c'; fi`
571
572 priority.o: priority/priority.c
573 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT priority.o -MD -MP -MF $(DEPDIR)/priority.Tpo -c -o priority.o `test -f 'priority/priority.c' || echo '$(srcdir)/'`priority/priority.c
574 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/priority.Tpo $(DEPDIR)/priority.Po
575 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='priority/priority.c' object='priority.o' libtool=no @AMDEPBACKSLASH@
576 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
577 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o priority.o `test -f 'priority/priority.c' || echo '$(srcdir)/'`priority/priority.c
578
579 priority.obj: priority/priority.c
580 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT priority.obj -MD -MP -MF $(DEPDIR)/priority.Tpo -c -o priority.obj `if test -f 'priority/priority.c'; then $(CYGPATH_W) 'priority/priority.c'; else $(CYGPATH_W) '$(srcdir)/priority/priority.c'; fi`
581 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/priority.Tpo $(DEPDIR)/priority.Po
582 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='priority/priority.c' object='priority.obj' libtool=no @AMDEPBACKSLASH@
583 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
584 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o priority.obj `if test -f 'priority/priority.c'; then $(CYGPATH_W) 'priority/priority.c'; else $(CYGPATH_W) '$(srcdir)/priority/priority.c'; fi`
585
586 sendrecv.o: sendrecv/sendrecv.c
587 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sendrecv.o -MD -MP -MF $(DEPDIR)/sendrecv.Tpo -c -o sendrecv.o `test -f 'sendrecv/sendrecv.c' || echo '$(srcdir)/'`sendrecv/sendrecv.c
588 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sendrecv.Tpo $(DEPDIR)/sendrecv.Po
589 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sendrecv/sendrecv.c' object='sendrecv.o' libtool=no @AMDEPBACKSLASH@
590 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
591 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sendrecv.o `test -f 'sendrecv/sendrecv.c' || echo '$(srcdir)/'`sendrecv/sendrecv.c
592
593 sendrecv.obj: sendrecv/sendrecv.c
594 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sendrecv.obj -MD -MP -MF $(DEPDIR)/sendrecv.Tpo -c -o sendrecv.obj `if test -f 'sendrecv/sendrecv.c'; then $(CYGPATH_W) 'sendrecv/sendrecv.c'; else $(CYGPATH_W) '$(srcdir)/sendrecv/sendrecv.c'; fi`
595 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sendrecv.Tpo $(DEPDIR)/sendrecv.Po
596 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sendrecv/sendrecv.c' object='sendrecv.obj' libtool=no @AMDEPBACKSLASH@
597 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
598 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sendrecv.obj `if test -f 'sendrecv/sendrecv.c'; then $(CYGPATH_W) 'sendrecv/sendrecv.c'; else $(CYGPATH_W) '$(srcdir)/sendrecv/sendrecv.c'; fi`
599
600 suspend.o: suspend/suspend.c
601 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT suspend.o -MD -MP -MF $(DEPDIR)/suspend.Tpo -c -o suspend.o `test -f 'suspend/suspend.c' || echo '$(srcdir)/'`suspend/suspend.c
602 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/suspend.Tpo $(DEPDIR)/suspend.Po
603 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='suspend/suspend.c' object='suspend.o' libtool=no @AMDEPBACKSLASH@
604 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
605 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o suspend.o `test -f 'suspend/suspend.c' || echo '$(srcdir)/'`suspend/suspend.c
606
607 suspend.obj: suspend/suspend.c
608 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT suspend.obj -MD -MP -MF $(DEPDIR)/suspend.Tpo -c -o suspend.obj `if test -f 'suspend/suspend.c'; then $(CYGPATH_W) 'suspend/suspend.c'; else $(CYGPATH_W) '$(srcdir)/suspend/suspend.c'; fi`
609 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/suspend.Tpo $(DEPDIR)/suspend.Po
610 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='suspend/suspend.c' object='suspend.obj' libtool=no @AMDEPBACKSLASH@
611 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
612 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o suspend.obj `if test -f 'suspend/suspend.c'; then $(CYGPATH_W) 'suspend/suspend.c'; else $(CYGPATH_W) '$(srcdir)/suspend/suspend.c'; fi`
613
614 mostlyclean-libtool:
615         -rm -f *.lo
616
617 clean-libtool:
618         -rm -rf .libs _libs
619
620 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
621         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
622         unique=`for i in $$list; do \
623             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
624           done | \
625           $(AWK) '    { files[$$0] = 1; } \
626                END { for (i in files) print i; }'`; \
627         mkid -fID $$unique
628 tags: TAGS
629
630 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
631                 $(TAGS_FILES) $(LISP)
632         tags=; \
633         here=`pwd`; \
634         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
635         unique=`for i in $$list; do \
636             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
637           done | \
638           $(AWK) '    { files[$$0] = 1; } \
639                END { for (i in files) print i; }'`; \
640         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
641           test -n "$$unique" || unique=$$empty_fix; \
642           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
643             $$tags $$unique; \
644         fi
645 ctags: CTAGS
646 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
647                 $(TAGS_FILES) $(LISP)
648         tags=; \
649         here=`pwd`; \
650         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
651         unique=`for i in $$list; do \
652             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
653           done | \
654           $(AWK) '    { files[$$0] = 1; } \
655                END { for (i in files) print i; }'`; \
656         test -z "$(CTAGS_ARGS)$$tags$$unique" \
657           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
658              $$tags $$unique
659
660 GTAGS:
661         here=`$(am__cd) $(top_builddir) && pwd` \
662           && cd $(top_srcdir) \
663           && gtags -i $(GTAGS_ARGS) $$here
664
665 distclean-tags:
666         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
667
668 check-TESTS: $(TESTS)
669         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
670         srcdir=$(srcdir); export srcdir; \
671         list=' $(TESTS) '; \
672         if test -n "$$list"; then \
673           for tst in $$list; do \
674             if test -f ./$$tst; then dir=./; \
675             elif test -f $$tst; then dir=; \
676             else dir="$(srcdir)/"; fi; \
677             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
678               all=`expr $$all + 1`; \
679               case " $(XFAIL_TESTS) " in \
680               *$$ws$$tst$$ws*) \
681                 xpass=`expr $$xpass + 1`; \
682                 failed=`expr $$failed + 1`; \
683                 echo "XPASS: $$tst"; \
684               ;; \
685               *) \
686                 echo "PASS: $$tst"; \
687               ;; \
688               esac; \
689             elif test $$? -ne 77; then \
690               all=`expr $$all + 1`; \
691               case " $(XFAIL_TESTS) " in \
692               *$$ws$$tst$$ws*) \
693                 xfail=`expr $$xfail + 1`; \
694                 echo "XFAIL: $$tst"; \
695               ;; \
696               *) \
697                 failed=`expr $$failed + 1`; \
698                 echo "FAIL: $$tst"; \
699               ;; \
700               esac; \
701             else \
702               skip=`expr $$skip + 1`; \
703               echo "SKIP: $$tst"; \
704             fi; \
705           done; \
706           if test "$$failed" -eq 0; then \
707             if test "$$xfail" -eq 0; then \
708               banner="All $$all tests passed"; \
709             else \
710               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
711             fi; \
712           else \
713             if test "$$xpass" -eq 0; then \
714               banner="$$failed of $$all tests failed"; \
715             else \
716               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
717             fi; \
718           fi; \
719           dashes="$$banner"; \
720           skipped=""; \
721           if test "$$skip" -ne 0; then \
722             skipped="($$skip tests were not run)"; \
723             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
724               dashes="$$skipped"; \
725           fi; \
726           report=""; \
727           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
728             report="Please report to $(PACKAGE_BUGREPORT)"; \
729             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
730               dashes="$$report"; \
731           fi; \
732           dashes=`echo "$$dashes" | sed s/./=/g`; \
733           echo "$$dashes"; \
734           echo "$$banner"; \
735           test -z "$$skipped" || echo "$$skipped"; \
736           test -z "$$report" || echo "$$report"; \
737           echo "$$dashes"; \
738           test "$$failed" -eq 0; \
739         else :; fi
740
741 distdir: $(DISTFILES)
742         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
743         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
744         list='$(DISTFILES)'; \
745           dist_files=`for file in $$list; do echo $$file; done | \
746           sed -e "s|^$$srcdirstrip/||;t" \
747               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
748         case $$dist_files in \
749           */*) $(MKDIR_P) `echo "$$dist_files" | \
750                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
751                            sort -u` ;; \
752         esac; \
753         for file in $$dist_files; do \
754           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
755           if test -d $$d/$$file; then \
756             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
757             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
758               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
759             fi; \
760             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
761           else \
762             test -f $(distdir)/$$file \
763             || cp -p $$d/$$file $(distdir)/$$file \
764             || exit 1; \
765           fi; \
766         done
767 check-am: all-am
768         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
769 check: check-am
770 all-am: Makefile $(PROGRAMS)
771 installdirs:
772         for dir in "$(DESTDIR)$(bindir)"; do \
773           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
774         done
775 install: install-am
776 install-exec: install-exec-am
777 install-data: install-data-am
778 uninstall: uninstall-am
779
780 install-am: all-am
781         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
782
783 installcheck: installcheck-am
784 install-strip:
785         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
786           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
787           `test -z '$(STRIP)' || \
788             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
789 mostlyclean-generic:
790
791 clean-generic:
792         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
793
794 distclean-generic:
795         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
796         -rm -f gtnets/$(am__dirstamp)
797         -rm -f masterslave/$(am__dirstamp)
798         -rm -f parallel_task/$(am__dirstamp)
799         -rm -f priority/$(am__dirstamp)
800         -rm -f sendrecv/$(am__dirstamp)
801         -rm -f suspend/$(am__dirstamp)
802
803 maintainer-clean-generic:
804         @echo "This command is intended for maintainers to use"
805         @echo "it deletes files that may require special tools to rebuild."
806 clean: clean-am
807
808 clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
809
810 distclean: distclean-am
811         -rm -rf ./$(DEPDIR)
812         -rm -f Makefile
813 distclean-am: clean-am distclean-compile distclean-generic \
814         distclean-tags
815
816 dvi: dvi-am
817
818 dvi-am:
819
820 html: html-am
821
822 info: info-am
823
824 info-am:
825
826 install-data-am:
827
828 install-dvi: install-dvi-am
829
830 install-exec-am: install-binPROGRAMS
831
832 install-html: install-html-am
833
834 install-info: install-info-am
835
836 install-man:
837
838 install-pdf: install-pdf-am
839
840 install-ps: install-ps-am
841
842 installcheck-am:
843
844 maintainer-clean: maintainer-clean-am
845         -rm -rf ./$(DEPDIR)
846         -rm -f Makefile
847 maintainer-clean-am: distclean-am maintainer-clean-generic
848
849 mostlyclean: mostlyclean-am
850
851 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
852         mostlyclean-libtool
853
854 pdf: pdf-am
855
856 pdf-am:
857
858 ps: ps-am
859
860 ps-am:
861
862 uninstall-am: uninstall-binPROGRAMS
863
864 .MAKE: install-am install-strip
865
866 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
867         clean-binPROGRAMS clean-generic clean-libtool ctags distclean \
868         distclean-compile distclean-generic distclean-libtool \
869         distclean-tags distdir dvi dvi-am html html-am info info-am \
870         install install-am install-binPROGRAMS install-data \
871         install-data-am install-dvi install-dvi-am install-exec \
872         install-exec-am install-html install-html-am install-info \
873         install-info-am install-man install-pdf install-pdf-am \
874         install-ps install-ps-am install-strip installcheck \
875         installcheck-am installdirs maintainer-clean \
876         maintainer-clean-generic mostlyclean mostlyclean-compile \
877         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
878         tags uninstall uninstall-am uninstall-binPROGRAMS
879
880
881 dist-files:
882         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
883         @echo
884         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
885 # Tell versions [3.59,3.63) of GNU make to not export all variables.
886 # Otherwise a system limit (for SysV at least) may be exceeded.
887 .NOEXPORT: